package jp.sbcr.java_framework.validator;

import javax.servlet.http.HttpServletRequest;

import jp.sbcr.java_framework.validator.exception.ValidateException;
import jp.sbcr.java_framework.validator.validators.AbstractValidator;

/**
 * バリデーションはこのインターフェースを実装します。
 */
public interface JValidator {
	/**
	 * バリデーションを行います。<br>
	 * 
	 * @param value
	 *            対象の文字列
	 * @return 正常値の場合true
	 * @throws ValidateException
	 *             正常値ではない場合にスロー
	 */
	boolean validate(String value) throws ValidateException;

	/**
	 * バリデーションを行います。<br> {@link AbstractValidator}
	 * を継承しない場合は、このメソッドの定義は空でも構いません。
	 * 
	 * @param value
	 *            対象の文字列
	 * 
	 * @return 正常値の場合true。そうでない場合はfalse。
	 */
	boolean validateNoException(String value);

	Object getBean();

	void setBean(Object bean);

	HttpServletRequest getRequest();

	void setRequest(HttpServletRequest request);

	String getPropertyName();

	void setPropertyName(String propertyName);
}
